stages :
    - pre-build
    - build

generate_attack_layer:
    image: python:3.6-alpine
    stage: pre-build
    script:
        - tools/sigma2attack --rules-directory rules --out-file sigma_layer.json
    artifacts:
        paths:
            - sigma_layer.json
            
build_attack_container:
    image: docker:latest
    services:
        - docker:dind
    stage: build
    needs: [generate_attack_layer]
    before_script:
        - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    script:
        - docker build --pull -t "$CI_REGISTRY_IMAGE" --build-arg LAYER_FILE=sigma_layer.json .
        - docker push "$CI_REGISTRY_IMAGE"
